<?php 
/* 此引用评论功能基于 Viper007Bond [http://www.viper007bond.com/wordpress-plugins/quote-comment/] */
function quote_comment($text = '引用', $aftername = '', $displaywhen = TRUE, $beforedate = ' / ', $beforetime = ', ', $commentformanchor = 'commentform', $commentareaid = 'comment') {
	global $comment;

	// 确定 $comment 被设置，换句话说，它必须放在评论 loop
	if (!isset($comment)) {
		echo '引用评论功能不想使用在评论 loop 以内！';
		return;
	}

	// Strip off the # in front of the anchor if it's inputted
	if (substr($commentformanchor, 0, 1) == '#') $commentformanchor = substr($commentformanchor, 1);

	// 为被引用评论创建评论信息
	$byline = $comment->comment_author;
	if ($displaywhen) $byline .= $beforedate . get_comment_date('Y-m-d') . $beforetime . get_comment_time('G:i');
	$byline .= $aftername;

	// If "WordPress should correct invalidly nested XHTML automatically" is on, we need to strip nested blockquotes to make the quote turn up right
	// This is due to a bug that doesn't allow nested blockquotes as described here: http://trac.wordpress.org/ticket/1170
	// This bit of code isn't perfect though as it'll strip all blockquotes including those inside of <code> and such tags, but oh well, it's good enough
	// Oh, and I'm assuming this auto-correction bug will be fixed in version 1.6, so hence version test
	if (get_option('use_balanceTags') == '1' && get_bloginfo('version') <= '1.6') {
		$commentcontent = $comment->comment_content;
		while (strpos($commentcontent, '<blockquote>') !== FALSE) {
			$startpos = strpos($commentcontent, '<blockquote>');
			$endpos = strpos($commentcontent, '</blockquote>');
			$commentcontent = substr_replace($commentcontent, ' [blockquote removed] ', $startpos, $endpos-$startpos+13); // 13 = strlen('</blockquote>');
		}
	} else {
		$commentcontent = $comment->comment_content;
	}
	
	// 输出引用、回复链接
	echo "<a href='#" . $commentformanchor . "' title='引用此评论并回复' onclick=\"document.getElementById('" . $commentareaid . "').value += '&lt;blockquote&gt;" . htmlspecialchars(str_replace(array("\r\n", "'"), array('\n', "\'"), '<a href="#comment-' . $comment->comment_ID . '" title="查看被引用的原评论">' . $byline . ':</a>\n\n' . $commentcontent), ENT_QUOTES) . '&lt;/blockquote&gt;\n\'">' . $text . "</a>";
}
?>
<?php
/* 此最后更新功能基于 Nick Momrik [http://mtdewvirus.com/code/wordpress-plugins/], [http://dev.wp-plugins.org/browser/last-modified/]*/
	function last_modified($format='') {
	global $wpdb, $id;

	$post_mod_date = $wpdb->get_var("SELECT post_modified FROM $wpdb->posts WHERE id = $id");

	if (empty($format))
		$format = get_settings('date_format') . ' @ ' . get_settings('time_format');

	echo mysql2date($format, $post_mod_date);
}
?>
<?php
/* 此统计功能基于 WordPress Statistics 插件 [http://www.lesterchan.net/] */
function get_totalposts() {
	global $wpdb;
	$totalposts = $wpdb->get_var("SELECT COUNT(ID) FROM $wpdb->posts WHERE post_status = 'publish'");
	echo $totalposts;
}
function get_totalcomments() {
	global $wpdb;
	$totalcomments = $wpdb->get_var("SELECT COUNT(comment_ID) FROM $wpdb->comments WHERE comment_approved = '1'");
	echo $totalcomments;
}
?>
